Incoming Fund Callback Webhook
curl --request POST \
--url https://staging-partner-api.linearsend.com/webhooks/fund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionType": "<string>",
"originalRecipientAccount": "<string>",
"transactionReference": "<string>",
"deposit_amount": 1,
"transactionDate": "<string>",
"accountNumber": "<string>",
"accountName": "<string>",
"senderName": "<string>",
"senderAccountNumber": "<string>",
"payingBank": "<string>",
"narrations": "<string>",
"senderEmail": "jsmith@example.com"
}
'import requests
url = "https://staging-partner-api.linearsend.com/webhooks/fund"
payload = {
"transactionType": "<string>",
"originalRecipientAccount": "<string>",
"transactionReference": "<string>",
"deposit_amount": 1,
"transactionDate": "<string>",
"accountNumber": "<string>",
"accountName": "<string>",
"senderName": "<string>",
"senderAccountNumber": "<string>",
"payingBank": "<string>",
"narrations": "<string>",
"senderEmail": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionType: '<string>',
originalRecipientAccount: '<string>',
transactionReference: '<string>',
deposit_amount: 1,
transactionDate: '<string>',
accountNumber: '<string>',
accountName: '<string>',
senderName: '<string>',
senderAccountNumber: '<string>',
payingBank: '<string>',
narrations: '<string>',
senderEmail: 'jsmith@example.com'
})
};
fetch('https://staging-partner-api.linearsend.com/webhooks/fund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging-partner-api.linearsend.com/webhooks/fund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'transactionType' => '<string>',
'originalRecipientAccount' => '<string>',
'transactionReference' => '<string>',
'deposit_amount' => 1,
'transactionDate' => '<string>',
'accountNumber' => '<string>',
'accountName' => '<string>',
'senderName' => '<string>',
'senderAccountNumber' => '<string>',
'payingBank' => '<string>',
'narrations' => '<string>',
'senderEmail' => 'jsmith@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging-partner-api.linearsend.com/webhooks/fund"
payload := strings.NewReader("{\n \"transactionType\": \"<string>\",\n \"originalRecipientAccount\": \"<string>\",\n \"transactionReference\": \"<string>\",\n \"deposit_amount\": 1,\n \"transactionDate\": \"<string>\",\n \"accountNumber\": \"<string>\",\n \"accountName\": \"<string>\",\n \"senderName\": \"<string>\",\n \"senderAccountNumber\": \"<string>\",\n \"payingBank\": \"<string>\",\n \"narrations\": \"<string>\",\n \"senderEmail\": \"jsmith@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging-partner-api.linearsend.com/webhooks/fund")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"transactionType\": \"<string>\",\n \"originalRecipientAccount\": \"<string>\",\n \"transactionReference\": \"<string>\",\n \"deposit_amount\": 1,\n \"transactionDate\": \"<string>\",\n \"accountNumber\": \"<string>\",\n \"accountName\": \"<string>\",\n \"senderName\": \"<string>\",\n \"senderAccountNumber\": \"<string>\",\n \"payingBank\": \"<string>\",\n \"narrations\": \"<string>\",\n \"senderEmail\": \"jsmith@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging-partner-api.linearsend.com/webhooks/fund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"transactionType\": \"<string>\",\n \"originalRecipientAccount\": \"<string>\",\n \"transactionReference\": \"<string>\",\n \"deposit_amount\": 1,\n \"transactionDate\": \"<string>\",\n \"accountNumber\": \"<string>\",\n \"accountName\": \"<string>\",\n \"senderName\": \"<string>\",\n \"senderAccountNumber\": \"<string>\",\n \"payingBank\": \"<string>\",\n \"narrations\": \"<string>\",\n \"senderEmail\": \"jsmith@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"code": "<string>",
"message": "<string>",
"data": {
"success": true,
"message": "<string>"
},
"meta": {}
}{
"success": false,
"statusCode": 400,
"code": "BAD_REQUEST",
"message": "Invalid webhook payload or duplicate transaction",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 401,
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 403,
"code": "FORBIDDEN",
"message": "Forbidden",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Item not found",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 429,
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 500,
"code": "SERVER_ERROR",
"message": "Internal server error",
"data": null,
"meta": {}
}Webhook
Incoming Fund Callback Webhook
Endpoint for incoming bank/payment provider callback notifications to credit/fund a user’s wallet.
POST
/
webhooks
/
fund
Incoming Fund Callback Webhook
curl --request POST \
--url https://staging-partner-api.linearsend.com/webhooks/fund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactionType": "<string>",
"originalRecipientAccount": "<string>",
"transactionReference": "<string>",
"deposit_amount": 1,
"transactionDate": "<string>",
"accountNumber": "<string>",
"accountName": "<string>",
"senderName": "<string>",
"senderAccountNumber": "<string>",
"payingBank": "<string>",
"narrations": "<string>",
"senderEmail": "jsmith@example.com"
}
'import requests
url = "https://staging-partner-api.linearsend.com/webhooks/fund"
payload = {
"transactionType": "<string>",
"originalRecipientAccount": "<string>",
"transactionReference": "<string>",
"deposit_amount": 1,
"transactionDate": "<string>",
"accountNumber": "<string>",
"accountName": "<string>",
"senderName": "<string>",
"senderAccountNumber": "<string>",
"payingBank": "<string>",
"narrations": "<string>",
"senderEmail": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionType: '<string>',
originalRecipientAccount: '<string>',
transactionReference: '<string>',
deposit_amount: 1,
transactionDate: '<string>',
accountNumber: '<string>',
accountName: '<string>',
senderName: '<string>',
senderAccountNumber: '<string>',
payingBank: '<string>',
narrations: '<string>',
senderEmail: 'jsmith@example.com'
})
};
fetch('https://staging-partner-api.linearsend.com/webhooks/fund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging-partner-api.linearsend.com/webhooks/fund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'transactionType' => '<string>',
'originalRecipientAccount' => '<string>',
'transactionReference' => '<string>',
'deposit_amount' => 1,
'transactionDate' => '<string>',
'accountNumber' => '<string>',
'accountName' => '<string>',
'senderName' => '<string>',
'senderAccountNumber' => '<string>',
'payingBank' => '<string>',
'narrations' => '<string>',
'senderEmail' => 'jsmith@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging-partner-api.linearsend.com/webhooks/fund"
payload := strings.NewReader("{\n \"transactionType\": \"<string>\",\n \"originalRecipientAccount\": \"<string>\",\n \"transactionReference\": \"<string>\",\n \"deposit_amount\": 1,\n \"transactionDate\": \"<string>\",\n \"accountNumber\": \"<string>\",\n \"accountName\": \"<string>\",\n \"senderName\": \"<string>\",\n \"senderAccountNumber\": \"<string>\",\n \"payingBank\": \"<string>\",\n \"narrations\": \"<string>\",\n \"senderEmail\": \"jsmith@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging-partner-api.linearsend.com/webhooks/fund")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"transactionType\": \"<string>\",\n \"originalRecipientAccount\": \"<string>\",\n \"transactionReference\": \"<string>\",\n \"deposit_amount\": 1,\n \"transactionDate\": \"<string>\",\n \"accountNumber\": \"<string>\",\n \"accountName\": \"<string>\",\n \"senderName\": \"<string>\",\n \"senderAccountNumber\": \"<string>\",\n \"payingBank\": \"<string>\",\n \"narrations\": \"<string>\",\n \"senderEmail\": \"jsmith@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging-partner-api.linearsend.com/webhooks/fund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"transactionType\": \"<string>\",\n \"originalRecipientAccount\": \"<string>\",\n \"transactionReference\": \"<string>\",\n \"deposit_amount\": 1,\n \"transactionDate\": \"<string>\",\n \"accountNumber\": \"<string>\",\n \"accountName\": \"<string>\",\n \"senderName\": \"<string>\",\n \"senderAccountNumber\": \"<string>\",\n \"payingBank\": \"<string>\",\n \"narrations\": \"<string>\",\n \"senderEmail\": \"jsmith@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"code": "<string>",
"message": "<string>",
"data": {
"success": true,
"message": "<string>"
},
"meta": {}
}{
"success": false,
"statusCode": 400,
"code": "BAD_REQUEST",
"message": "Invalid webhook payload or duplicate transaction",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 401,
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 403,
"code": "FORBIDDEN",
"message": "Forbidden",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Item not found",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 429,
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded",
"data": null,
"meta": {}
}{
"success": false,
"statusCode": 500,
"code": "SERVER_ERROR",
"message": "Internal server error",
"data": null,
"meta": {}
}Authorizations
JWT access token
Body
application/json
Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
x > 0Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1